/* 
Theme Name: BB Law Group
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
html {
  scroll-behavior: smooth;
}

.elementor-widget-theme-post-content img {
  /*margin-left: unset;*/
  /*margin-right: unset;*/
  margin-bottom: 1rem;
}
.elementor-widget-theme-post-content ul {
  margin-bottom: 1rem;
}
/* BLOG */
.elementor-posts .elementor-post__card .elementor-post__text {
  display: flex;
  flex-flow: column wrap;
}
.elementor-posts .elementor-post__card .elementor-post__thumbnail__link {
  margin-bottom: 10px;
}
.elementor-posts .elementor-post__card .elementor-post__read-more {
  margin-top: auto;
}
.elementor-posts
  .elementor-post__card
  .elementor-post__thumbnail__link
  .elementor-post__thumbnail {
  min-height: 215px;
  max-height: 215px;
}

/* GLOBAL STYLES */
.svg-fill-none svg {
  fill: none !important;
}
.svg-stroke-primary svg path {
  stroke: var(--e-global-color-primary) !important;
}
.text-orange {
  color: var(--e-global-color-secondary) !important;
}
.hover-orange a {
  transition: 0.4s color ease;
}
.hover-orange a:hover {
  color: var(--e-global-color-secondary) !important;
}

.link-white {
  color: #fff !important;
  text-decoration: none !important;
}
.link-white:hover {
  color: #fff !important;
  text-decoration: underline !important;
}

.icon-orange svg path {
  stroke: var(--e-global-color-secondary);
}

/* HEADER NAVIGATION */
.sticky-nav-bar {
  transition: 0.4s all ease;
}
.sticky-nav-bar.navbar-fixed {
  top: 0 !important;
  background-color: var(--e-global-color-text);
}

.sticky-phone-icon {
  display: none;
}

/* TABLE OF CONTENTS */
.toc-list-wrapper {
  margin-bottom: 20px;
}

/* SIDEBAR */
.sidebar-sticky {
  position: sticky;
  top: 120px;
}
.sidebar-form .gform_wrapper .gform_fields {
  gap: 4px !important;
}

.sidebar-categories h5 {
  display: none;
}
.sidebar-categories ul {
  list-style: none;
  margin-top: 1.4rem;
  padding: 0;
}
.sidebar-categories ul a {
  color: #fff;
  text-decoration: none;
}
.sidebar-categories ul a:hover {
  color: var(--e-global-color-secondary);
}

/* TESTIMONIALS */
.testimonial-link,
.testimonial-link * {
  color: var(--e-global-color-secondary) !important;
  font-size: 16px;
  font-weight: 700 !important;
  line-height: 1;
}
.testimonial-link a:hover {
  color: #fff;
}

/* BLOG */
.blog-card {
  text-decoration: none !important;
}
.blog-card .blog-card__content {
  flex: 1 !important;
  gap: 1rem !important;
}
.blog-card .blog-card__content .blog-card__read-more {
  margin-top: auto !important;
}
.blog-card
  .blog-card__content
  .blog-card__read-more
  .elementor-widget-container {
  margin-bottom: 0 !important;
}

.pa-grid a {
  text-decoration: none;
}

.articles-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin-top: 50px;
}

.articles-wrapper .articles-card {
  width: 48%;
  background: #eef3f7;
  margin-bottom: 35px;
  text-decoration: none;
}
.articles-wrapper .articles-card:last-child {
  margin-bottom: 0;
}

.articles-wrapper .articles-card .articles-image img {
  width: 100%;
  height: 200px;
  object-fit: cover;
  margin-bottom: 0;
}
.articles-wrapper .articles-card .articles-content {
  padding: 14px 20px 20px;
  min-height: 335px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.articles-wrapper .articles-card .articles-content h2 {
  color: #df7b0f;
}

.articles-wrapper .articles-card .articles-content span {
  color: #005a75 !important;
}
.articles-wrapper .articles-card .articles-content .read-more {
  margin-top: auto;
  font-weight: 700;
  text-transform: uppercase;
}
.articles-wrapper .articles-card .articles-content .published-date svg {
  width: 16px;
  margin-right: 5px;
  fill: #005a75;
  margin-bottom: -3px;
}

.testimonials-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.testimonials-wrapper .testimonial {
  background: #fff;
  box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.175);
  margin-bottom: 35px;
  padding: 20px;
  width: 48%;
}
.testimonials-wrapper .testimonial:last-child {
  margin-bottom: 0;
}

@media (max-width: 1199px) {
  .articles-wrapper .articles-card,
  .testimonials-wrapper .testimonial {
    width: 100%;
  }
  .articles-wrapper .articles-card .articles-content {
    min-height: auto;
  }
}
@media (max-width: 1024px) {
  .sticky-phone-icon.show-phone-block {
    display: block;
  }
}
@media (max-width: 767px) {
  .elementor-widget-container a:has(img.alignright),
  .elementor-widget-container a:has(img.alignleft),
  .elementor-widget-container img.alignright,
  .elementor-widget-container img.alignleft {
    display: block;
  }
  .elementor-widget-container img.alignright,
  .elementor-widget-container img.alignleft {
    float: none;
    margin: 0 auto 20px;
  }
}
